
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>全面解读Python Web开发框架Django_python / iVAN</title>

    <meta name="description" content="全面解读Python Web开发框架Django_python 花了两周时间,利用工作间隙时间,开发了一个基于Django的项目任务管理Web应用.项目计划的实时动态,可以方便地被项目成员查看(^_^又重复发明轮子了).从前台到后台,好好折腾了一把,用到:HTML.CSS.JavaScript.Apache.Python.mod_wsgi.Django.好久不用CSS和JavaScript了,感到有点生疏了,查了无数次手册.后台Django开发环境的搭建也花了不少时间和精力.记录下来,免得以后走弯路.同时给大家推荐一下Django框架,如果你想非常快速地编写">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">全面解读Python Web开发框架Django_python</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>花了两周时间，利用工作间隙时间，开发了一个基于Django的项目任务管理Web应用。项目计划的实时动态，可以方便地被项目成员查看（^_^又重复发明轮子了）。从前台到后台，好好折腾了一把，用到：HTML、CSS、JavaScript、Apache、Python、mod_wsgi、Django。好久不用CSS和JavaScript了，感到有点生疏了，查了无数次手册。后台Django开发环境的搭建也花了不少时间和精力。记录下来，免得以后走弯路。同时给大家推荐一下Django框架，如果你想非常快速地编写自己的web应用，可以考虑使用Django，同时Django还会给你提供一个功能强大的后台管理界面。</p>
<p>Django是一个开源的Web应用框架，由Python写成。采用MVC的软件设计模式，主要目标是使得开发复杂的、数据库驱动的网站变得简单。Django注重组件的重用性和“可插拔性”，敏捷开发和DRY法则（Don't Repeat Yoursef）。在Django中Python被普遍使用，甚至包括配置文件和数据模型。它可以运行在启用了mod_python或mod_wsgi的Apache2，或者任何兼容WSGI（Web Server Gataway Interface）的Web服务器。</p>
<p>1. Django的快速开发</p>
<p>第一步（Model）：设计自己的数据模型。<br />
第二步（View）：创建网页模板。Django自己的Html模板语言，非常容易将数据和模板结合起来，创建动态页面。<br />
第三步（Control）：定义URL，提供服务和控制。<br />
入门教程： http://wiht.link/django_primer</p>
<p>2. Django开发环境的搭建</p>
<p>Django可以运行在任何遵守WSGI的Web服务器上。本文主要介绍Apache2+mod_wsgi+Django的环境搭建。所需要的软件如下：</p>
<p>Apache2：Web服务器<br />
Python2.x：Python语言支持<br />
mod_wsgi：Apache的WSGI模块，有了该模块的支持，就可以用Python做为CGI脚本来编写网络应用（之前还有一个mod_python，在Apache官网上发现mod_python已经过时，渐渐要被mod_wsgi替代，据说mod_wsig性能要好一些）<br />
Django：一个强大的Python Web开发框架，本文的主角。<br />
2.1 Apache的安装</p>
<p>下 载： http://httpd.apache.org/download.cgi  （选择版本2.2.22，mod_wsig暂不支持2.4.2）</p>
<p>解压缩 ： $tar xvfz httpd-NN.tar.gz</p>
<p>$cd httpd-NN</p>
<p>编译配置： $./configure –with-included-apr –prefix=PREFIX #with-included-apr选项指定使用apache软件包里面的apr库</p>
<p>编 译： $make</p>
<p>安 装： $make install</p>
<p>配 置： $vim PREFIX/conf/httpd.conf</p>
<p>测 试： $PREFIX/bin/apachectl -k start</p>
<p>参 考：</p>
<p>官方主页： http://httpd.apache.org/<br />
安装文档： http://httpd.apache.org/docs/2.2/install.html<br />
2.2 Python的安装</p>
<p>下 载： http://www.python.org/getit/releases/2.7.3/ （选择2.X版都可以，3.0暂不支持）</p>
<p>解压缩 ： $tar xvf python-X.tar</p>
<p>$cd python-Y</p>
<p>编译配置： $./configure –enable-shared –prefix=PREFIX #–enable-shared选项指定生成python的动态库</p>
<p>编 译： $make</p>
<p>安 装： $make install</p>
<p>测 试： $python</p>
<p>参 考：</p>
<p>官方主页： http://www.python.org/<br />
2.3 mod_wsgi模块的安装</p>
<p>下 载： http://code.google.com/p/modwsgi/  （选择3.3版本）</p>
<p>解压缩 ： $tar xvfz mod_wsgi.X.Y.tar.gz</p>
<p>$cd mod_wsgi.X.Y</p>
<p>编译配置： $././configure –with-apxs=/usr/local/apache2/bin/apxs –with-python=/usr/local/bin/python # 指定Apache2的模块编译程序和Python解析器</p>
<p>编 译： $make</p>
<p>安 装： $make install</p>
<p>测 试： $python</p>
<p>2.3.1  配置Apache（修改/usr/local/apche2/confi/httpd.conf）</p>
<pre>
# 加载wsgi模块
LoadModule wsgi_module modules/mod_wsgi.so
....
# HTTP请求处理脚本
WSGIScriptAlias /test /home/xxx/www/test.wsgi
&lt;Directory "/home/xxx/www"&gt;
Order allow, deny
Allow from all
&lt;/Directory&gt;</pre>
<p>2.3.2 编写test.wsgi（WSGI标准： http://www.python.org/dev/peps/pep-3333/ ）</p>
<pre>
def application(environ, start_response):
 status = '200 OK'
 output = 'Hello World!'

 response_headers = [('Content-type', 'text/plain'),
  ('Content-Length', str(len(output)))]
 start_response(status, response_headers)

 return [output]
</pre>
<p>2.3.3  重启apche2</p>
<p>在任意网络浏览器中输入：http://www.mysite.com/test。看到“Hello World!”，恭喜你成功安装了WSGI模块。</p>
<p>参 考：</p>
<p>官方主页： http://code.google.com/p/modwsgi/<br />
安装文档： http://code.google.com/p/modwsgi/wiki/QuickInstallationGuide<br />
配置文档： http://code.google.com/p/modwsgi/wiki/QuickConfigurationGuide<br />
WSGI文档： http://www.python.org/dev/peps/pep-3333/</p>
<p>2.4 Django的安装</p>
<p>下 载： https://www.djangoproject.com/download/  （选择1.4版本）</p>
<p>解压缩 ： $tar xvfz Django-1.4.tar.gz</p>
<p>$cd Django-1.4</p>
<p>安 装： $python setup.py install</p>
<p>测 试：</p>
<pre>
$python
&gt;&gt;&gt; import django
&gt;&gt;&gt; print(django.get_version())
</pre>
<p>参 考：</p>
<p>官方主页： https://www.djangoproject.com/<br />
安装文档： https://docs.djangoproject.com/en/1.4/intro/install/<br />
快速入门： https://docs.djangoproject.com/en/1.4/intro/tutorial01/</p>
<p>3. Django中文支持</p>
<p>Django使用的是UTF-8编码，所以对于国际化支持不成问题。因为初次玩Django，中文显示乱，折腾死人了（一直在用的的mysql默认字符串是latin1编码，vim默认保存的文件编码为ascii）。最终得出结论，如果中文显示乱码，或者Django报错(… unicode …blabla…)，请检查：</p>
<p>Django的设置。打开自己项目的settings.py，LANGUAGE_CODE=”zh_CN” ？FILE_CHARSET='UTF-8′ ？DEFAULT_CHARSET='utf-8′？<br />
查看自己项目所有的文件编码是否以UTF-8编码保存的？确保.py文件第一行要加上：#-*-  coding:utf-8 -*- ？<br />
HTML模板文件head部分，添加&lt;meta http-equiv=“Content-Type” content=“text/html;charset=utf-8″/&gt;<br />
检查自己项目的数据库字符串编码是否为UTF-8，命令如下： <br />
查看：</p>
<pre>
show create database dbname;
show create table tablename;
show full columns from tablename;
</pre>
<p>创建：</p>
<pre>
create database dbname CHARACTER SET utf8;
create table tblname CHARACTER SET utf8;
</pre>
<p>修改：</p>
<pre>
alter database dbname CHARACTER SET = utf8;
alter table tablename CONVERT TO CHARACTER SET utf8;
</pre>
<p>4. Django应用的部署</p>
<p>Django应用的运行有两个方式，一种是在开发阶段，使用创建项目下面的manager.py runserver ip:port来启动一个用Python实现的轻型web服务器；另外一种就是通过mod_wsgi将你自己的应用部署到生产环境，对外提供服务。下面简单介绍一下Django的部署（虚拟主机上的配置，自行参考文档）。</p>
<p>假设你创建的Django项目文件列表如下：</p>
<pre>
my-site
|- my-site
|- myapp
 |-static
 |- ...
|- static
 |- css
 |- js
 | ...
|- apache
|- ...
</pre>
<p>4. 1. 创建Django项目的wsgi脚本（my-site/apache/django.wsgi），内容如下：</p>
<pre>
import os, sys

sys.path.append('/.../www/')
sys.path.append('/.../www/my-site')
os.environ['DJANGO_SETTINGS_MODULE'] = 'my-site.settings'
os.environ['PYTHON_EGG_CACHE'] = '/.../www/.python-eggs'

import django.core.handlers.wsgi

_application = django.core.handlers.wsgi.WSGIHandler()

def application(environ, start_response):
 if environ['wsgi.url_scheme'] == 'https':
  environ['HTTPS'] = 'on'
 return _application(environ, start_response)
</pre>
<p>4.2. 配置Apache（httpd.conf），内容如下：</p>
<pre>
# 请求访问www.xxx.com/的时候，转到django.wsgi
WSGIScriptAlias / /.../www/my-site/apache/django.wsgi

&lt;Directory /.../www/my-site/apache&gt;
Order deny,allow
Allow from all
&lt;/Directory&gt;

# 静态文件的访问路径配置
Alias /static/ /.../www/my-site/static/

&lt;Directory /.../www/my-site/static&gt;
Order deny,allow
Allow from all
&lt;/Directory&gt;
</pre>
<p>4.3. 配置setting.py</p>
<p>EBUG=False<br />
自定义404.html，500.html模板（网页未找到、服务器内部错误）</p>
<p>4.4. 静态文件</p>
<pre>
STATIC_ROOT = ‘/…/www/my-site/static/'
STATIC_URL = ‘/static/'
$./manager.py collectstatic
</pre>
<p>注意：开发阶段，一般都会把相应app的静态文件，放在app目录下的static目录下。在正式生产环境部署的时候，使用./manager.py collectstatic来把所有静态文件收集到STATIC_ROOT指定的位置，包括管理后台的。</p>
<p>4.5. 重启apahce</p>
<p>浏览器输入相应的URL地址，看到你自己的web应用界面的话，恭喜大功告成！</p>
<p>5. 总结</p>
<p>本文主要介绍了一下Django开发环境的搭建、Django应用的部署和中文乱码的解决方法。具体如何使用Django快速地创建自己的web应用，并没有提及。Django相对来说，文档比较齐全，加上官方推出的一本书：《The Django Book》，相信只要开发环境搭建好，创建自己的Web应用也会非常容易。</p>
<p>进一步学习Django，请看：</p>
<p>Django1.4文档： https://docs.djangoproject.com/en/1.4/<br />
Django Book 英文版： http://www.djangobook.com/en/2.0/<br />
Django Book 中文版： http://djangobook.py3k.cn/2.0/</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索python<br />
                                    django<br />
                                    python django框架、python web框架django、python的django框架、django 框架、django前端框架，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 15:47:53</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/django/" title="Django">Django</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>全面解读Python Web开发框架Django_python的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkdGwb.html" rel="bookmark">Python Web 开发框架 Pylons</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				3. Pylons 3.1. Getting Started with Pylons 3.1.1. Installing [neo@development ~]$ curl http://pylonshq.com/download/1.0/go-pylons.py | python - mydevenv [neo@development ~]$ source mydevenv/bin/activate (mydevenv)[neo@development ~]$ (mydevenv)[neo@d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MA7e5Kz.html" rel="bookmark">浅谈Python Web的五大框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说到Web Framework,Ruby的世界Rails一统江湖,而Python则是一个百花齐放的世界,各种micro-framework.framework不可胜数,不完全列表见: http://wiki.python.org/moin/WebFrameworks. 虽然另一大脚本语言PHP也有不少框架,但远没有Python这么夸张,也正是因为Python Web Framework(Python Web开发框架,以下简称Python框架)太多,所以在Python社区总有关于Python框架孰			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEJ2gPM.html" rel="bookmark">比较Python web主流框架的优缺点</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				说到web framework,Ruby的世界Rails一统江湖,而Python则是一个百花齐放的世界,各种micro-framework.framework不可胜数,不完全列表见:http://wiki.python.org/moin/WebFrameworks.虽然另一大脚本语言PHP也有不少框架,但远没有Python这么夸张,也正是因为Python web framework(Python web开发框架,以下简称Python框架)太多,所以在Python社区总有关于Python框架孰优孰			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZgR9qb.html" rel="bookmark">webpy，希望能多了解一些关于WSGI，PYTHON的WEB开发框架的事，也希望能进一步了解PYTHON</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果能真正看懂源代码,那就强了. 几年了,不应该总是小搞小打的. [Python]Webpy 源码学习(一) http://diaocow.iteye.com/blog/1922760 学习线路: 那么webpy是什么呢? 阅读它的源码我们又能学到什么呢? 简单说webpy就是一个开源的web应用框架(官方首页:http://webpy.org/) 它的源代码非常整洁精干,学习它一方面可以让我们快速了解python语法(遇到看不懂的语法就去google),另一方面可以学习到 python高级特性			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MW7OAM.html" rel="bookmark">Python Web框架Pylons中使用MongoDB的例子</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了Python Web框架Pylons中使用MongoDB 的例子,大家参考使用 Pylons 经过漫长的开发,终于放出了 1.0 版本.对于正规的产品开发来说,1.0 版本的意义很大,这表明 Pylons 的 API 终于稳定下来了.   Pylons 虽是山寨 Rails 而生,但作为一个纯 Python 的 Web 框架,它有一个鲜明的特点:可定制性强.框架每一层都没重新发明轮子,而是尽量整合现有的 Python 库.在 MVC 的 Model 层,Pylons 默认支持			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Xpmy61p.html" rel="bookmark">面向对象WEB开发框架：ECHO2 卷土重来</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|对象 面向对象WEB开发框架:ECHO2 卷土重来 作为一个面向对象的Web开发框架,ECHO可以让开发者象开发AWT/Swing应用程序一样,用面向对象的方式设计WEB界面.当你看到以下代码时,你可能会以为这是在写一个AWT/SWING程序: class HelloWorld extends EchoInstance {    public Window init() {        Window window = new Window();        ContentPane c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNE0d7b.html" rel="bookmark">多套方案来提高python web框架的并发处理能力</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Python常见部署方法有 : fcgi :用spawn-fcgi或者框架自带的工具对各个project分别生成监听进程,然后和http 服务互动 wsgi :利用http服务的mod_wsgi模块来跑各个project(Web应用程序或框架简单而通用的Web服务器 之间的接口). uWSGI 是一款像php-cgi一样监听同一端口,进行统一管理和负载平衡的工具,uWSGI,既不用wsgi协议也不用fcgi协议,而是自创了一个uwsgi的协议,据说该协议大约是fcgi协议的10倍那么快. 其实			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXB2lQb.html" rel="bookmark">Java：如何选择最为合适的Web开发框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如何选择Web开发框架 开发框架的选择,始终是个仁者见仁.智者见智的事情.尤其是Web层的开发框架,数量非常多,而且各有特色,如:Struts.WebWork.Spring MVC.Tapestry.JSF.WebPage3.0--等等. 下面先来看看为什么要使用Web开发框架 一 使用框架的必然性 框架,即framework.其实就是某种应用的半成品,把不同应用程序中有共性的一些东西抽取出来,做成一个半成品程序,这样的半成品就是所谓的程序框架. 软件系统发展到今天已经很复杂了,特别是服务器端软			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5A4R7p.html" rel="bookmark">何选择Web开发框架</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				框架,即framework.其实就是某种应用的半成品,把不同应用程序中有共性的一些东西抽取出来,做成一个半成品程序,这样的半成品就是所谓的程序框架. 软件系统发展到今天已经很复杂了,特别是服务器端软件,涉及到的知识,内容,问题太多.在某些方面使用别人成熟的框架,就相当于让别人帮你完成一些基础工作,你只需要集中精力完成系统的业务逻辑设计.这样每次程序开发就不用白手起家,而是可以在这个基础上开始搭建. 1.Web开发框架结合其他技术的能力一定要强,比如:在逻辑层要使用Spring或者Ejb3,那么W			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo6RBz.html" rel="bookmark" class="title">基础-关于Android在模拟器打开的首页跟在手机打开的首页不同</a>
					<div>
						问题描述 关于Android在模拟器打开的首页跟在手机打开的首页不同 我是在网上下载一个别人已经写好的二维码扫描功能的项目,然后我在其基础上改变他的首页,然后在模拟器中能成功运行,并符合想象,可是一把 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/yMA6r2p.html" rel="bookmark" class="title">android-如何检测intent中存在的Extra</a>
					<div>
						问题描述 如何检测intent中存在的Extra 在获取Extra的时候,出现了错误 try{ Sdacha=getIntent().getExtras().getString(&quot;Sdach ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbag2Jp.html" rel="bookmark" class="title">UDDI（通用发现与发布规范）简介</a>
					<div>
						规范   导 读:UDDI是微软新一代.NET框架的核心技术之一(其他还包括WEB SERVICE.SOAP.XML),让我们来看看它到底是什么?   ------------------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQXYrz.html" rel="bookmark" class="title">SEO技术在网络营销中的重要性</a>
					<div>
						21世纪,网络世界深入人心,人类的生活离不来网络!做SEO这么长的时间以来,孙旸杰没有发表客观谈论SEO的文章,开始的时候是担心自己写不好,担心笔下的文字玷污SEO行业,后来在慢慢的理论积累和实践操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXXaKp.html" rel="bookmark" class="title">Fireworks 8 寻梦之旅&lpar;5&rpar;&colon;菜单新变化</a>
					<div>
						菜单 上一节:Fireworks 8 寻梦之旅(4):其他面板 第二部分:菜单部分 在 Fireworks 8 里面,对于菜单这一块儿的改进有一些,应该说有些命令在实际使用中还是会发挥很重要的作用的. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Nyg7z.html" rel="bookmark" class="title">通过定制的事件处理程序集成外部应用程序和IBM Content Manager</a>
					<div>
						简介 IBM Content Manager, Version 8.4.1 支持一个用于外部应用程序集成的事件框架.当前支持两种集成类型: 过程集成,专门用于与 FileNet Business Pr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Nq8Az.html" rel="bookmark" class="title">RedHat 6&period;0企业版安装指南</a>
					<div>
						一.简介: 本文翻译自Red_Hat_Enterprise_Linux-6-Installation_Guide-en-US. 闲来无事.游手好闲,因此特将该文件的第28至33章翻译出来.内容较多,若 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXBXeAb.html" rel="bookmark" class="title">PhotoShop绘制绿色质感软件图标教程</a>
					<div>
						最后你应该获得这样的效果: Step 3: 新建一个图层, 使用椭圆选择工具选取一个如下的椭圆形: Step 4: 使用白色透明渐变工具(线性渐变), 拉出如下效果. 椭圆底部如果过于生硬, 可使用带 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlBreDz.html" rel="bookmark" class="title">怎样将CAD图纸导出为jpg图片</a>
					<div>
						 Jpg的图片格式是最高级别的压缩格式,对于图片的颜色保存最完整了, 这里我们就用一张CAD图纸为例,教大家如何导出jpg图片. 1.打开准备好导出的图纸: 2.在主菜单选择&quot;打印&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYV60b.html" rel="bookmark" class="title">sql-C&num;根据数据库动态表名称获取其所有字段名</a>
					<div>
						问题描述 C#根据数据库动态表名称获取其所有字段名 string str = comboBox1.Text; List&lt;string&gt; list = new List&lt;string& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3K9Pz.html" rel="bookmark" class="title">传谷歌进军电子商务</a>
					<div>
						网易科技讯 7月8日消息,据国外媒体报道,有报道称谷歌计划与电子商务巨头亚马逊展开竞争,努力加强产品搜索和电子商务产品服务. 对于国外数以百万计的网上购物者来说,亚马逊是最大的在线商店,货品内容覆盖范 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6GV6M.html" rel="bookmark" class="title">&period;net-用simhash比较几句话的相似性</a>
					<div>
						问题描述 用simhash比较几句话的相似性 现在能做到的是把每个字的hash值求出并存放在string[]中,接下来就不太会了,求大神指导 解决方案 //words [0]为属性 [1]为权重 // ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1lX45b.html" rel="bookmark" class="title">笔试题-查找唯一相同的整数3道</a>
					<div>
						1  数组中数字都两两相同,只有一个不同,找出该数字 #include &lt;iostream&gt; using namespace std; int findUnique(int* a, int ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlgq5b.html" rel="bookmark" class="title">深圳金融发展服务办肖志家：深圳为股权投资业创造了良好环境</a>
					<div>
						http://www.aliyun.com/zixun/aggregation/33721.html&quot;&gt;2014年5月28日,由清科集团主办,2014中国股权投资论坛在深圳隆重开幕.在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN7ArJp.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;云&rdquo;上存储初显规模 如何架构是关键</a>
					<div>
						   在安防系统中,存储设备只是给数据提供存储空间,数据存储的意义更多是为了给上层应用提供二次挖掘.目前的智能分析.大数据.图帧等技术都是基于数据存储做的数据挖掘.为了将二次挖掘应用的性能提升到最高, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My35xkz.html" rel="bookmark" class="title">snmp v3-SNMP V3中的USM用户名长度有要求吗？</a>
					<div>
						问题描述 SNMP V3中的USM用户名长度有要求吗? ?工作中处理一个bug,SNMP V3的用户名长度配置成16个字符,然后发送trap报文的时候设备就挂了,请问SNMP V3中的USM用户名长度 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5BylM.html" rel="bookmark" class="title">LinkedHashMap 取值问题 非常感谢</a>
					<div>
						问题描述 LinkedHashMap 取值问题 非常感谢 LinkedHashMap f =[{criterions=[{fieldName=person11.id, operator=is, val ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRBGZb.html" rel="bookmark" class="title">奇怪的组合-linux  sort命令：诡异的组合，大佬给个解释呗，谢谢</a>
					<div>
						问题描述 linux sort命令:诡异的组合,大佬给个解释呗,谢谢 sort onebak.tmp | uniq -c | sort -k1,1n -k2,2n |tail -30 &gt;oner ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEJZ8z.html" rel="bookmark" class="title">突发奇想的一个jquery插件&lowbar;jquery</a>
					<div>
						一.基本介绍 这个jq插件主要是使用canvas来画出这个tip的外表,而且这个tip能够自动调整大小,由于是用canvas画的,而不是图片,所以调整之后也不会变模糊之类的. 主要思想是用一个P标签来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLBlDM.html" rel="bookmark" class="title">如何在一和工程里面调用另一个工程的窗体</a>
					<div>
						问题描述 vb2005中,可以在一个解决方案里同时打开两个工程,请问如果实现这两个工程的互访呢?急急急!如图 解决方案 解决方案二:试试添加现有项的方法.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOWJxvz.html" rel="bookmark" class="title">聚VR一体机火爆预售 爱她就送她一部</a>
					<div>
						&quot;爱我你就陪陪我&quot;&quot;爱我你就背我走过张家界的玻璃栈桥&quot;--如今秀恩爱的花样越来越多,而最近最流行最时尚的表白方式却是&quot;爱我你就送我一部聚VR一体机&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvGvmM.html" rel="bookmark" class="title">删除win10自带的软件</a>
					<div>
						第一步:开始→所有程序→WindowsPowershell→然后右键以管理员方式运行 全部应用: Get-AppxPackage | Remove-AppxPackage 计算器: Get-AppxP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqOogOz.html" rel="bookmark" class="title">业界观点：数据中心的网络挑战</a>
					<div>
						本文是Data Center Journal网站&lt;业界观点&gt;专栏的记者就未来几年内,数据中心业界将要面临的网络挑战等相关问题对Marvell Semiconductor, Inc.公司的网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQaGwZb.html" rel="bookmark" class="title">策动于网络的营销</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 悄然而至的互联网时代让一些公司既爱又恨.一部分曾经名不见经传的小公司因为互联网声名鹊起,赢得了大量顾客的青睐:一部分让人如雷贯耳的大公司却犯愁了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxgRrGb.html" rel="bookmark" class="title">姚明伤情为电脑黑客利用</a>
					<div>
						□记者 王智宇 姚明的伤情竟然成为了黑客的&quot;商机&quot;,据瑞星杀毒监控,篮球网旗下的&quot;姚明中文网&quot;已被黑客挂上了木马病毒,同样遭遇的还有&quot;科比中文网&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDwAPrp.html" rel="bookmark" class="title">《IP组播（第1卷）》一导读</a>
					<div>
						前 言 IP组播(第1卷)本书包含了基本IP组播原理和路由技术,尤其是Cisco路由器和交换机使用的组播技术,其中切合实际地讨论了 IP 组播网络的常见特性.部署模型和实战经验,之后讨论了 Cisco ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mv7mx5p.html" rel="bookmark" class="title">嘉麟杰首发申请获通过</a>
					<div>
						中证网讯 中国证监会28日公告,发行审核委员会2010年第115次会议于2010年7月28日召开,上海嘉麟杰纺织品股份有限公司首发申请获通过. 预披露资料显示,上海嘉麟杰纺织品股份有限公司本次计划在深 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRXejKz.html" rel="bookmark" class="title">淘宝推出社区营销平台淘满意 数万站长加盟</a>
					<div>
						7月19日消息,淘宝网社区营销平台&quot;淘满意&quot;(manyi.taobao.com)今日http://www.aliyun.com/zixun/aggregation/18783.ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo34PVb.html" rel="bookmark" class="title">多个IEXPLORE&period;EXE进程&comma;专杀的完美解决方案&lowbar;病毒查杀</a>
					<div>
						这几天电脑中了病毒,c盘格式化重装了也不管用,把我郁闷的.一开机就出现IEXPLORE.EXE的进程,强行终止后一会又出现了,卡巴斯基杀了一遍没查出来,到网上转了好几圈,发现了这样的解决方案. 现象: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrdLrWz.html" rel="bookmark" class="title">保卫萝卜3公园第27 28关怎么通过&comma;第27 28关通关攻略</a>
					<div>
						保卫萝卜3公园第28关怎么通过 出场炮台:激光炮 这一关主要就是建立激光炮,首先在中间的滑道上建立激光炮清障的同时在上面继续扩增,只要最后能建到上方图中的样子基本就可以过关了. 保卫萝卜3公园第28关 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
